import { request } from '@/utils/http'
export default {
  apilogin: (params) => { // 登录
    return request('api/login', params, 'loading')
  },
	apiregister: (params) => { // 注册
	  return request('api/register', params, 'loading')
	},
	apisendsms: (params) => { // 发送短信
	  return request('api/send/sms', params, 'loading')
	},
	apicaptcha: (params) => { // 验证码图片
	  return request('api/captcha', params, 'loading')
	},
	apicheckcaptcha: (params) => { // 检查手机号
	  return request('api/check/captcha', params)
	},
	apiwxlogin: (params) => { // 微信登录
	  return request('api/wx/login', params, 'loading')
	},
	apiwxautologin: (params) => { // 微信登录 自动
	  return request('api/wx/autologin', params, 'loading')
	},
	apiuserinfo: (params) => { // 用户信息
	  return request('api/user/info', params, 'loading')
	},
	apiuseredit: (params) => { // 用户编辑
	  return request('api/user/edit', params, 'loading')
	},
	apiuserbindwechat: (params) => { // 绑定微信
	  return request('api/user/bind/wechat', params, 'loading')
	},
	apiuserauthadd: (params) => { // 用户认证 - 提交认证
	  return request('api/user/auth/add', params, 'loading')
	},
	apiuserauthinfo: (params) => { // 用户认证 - 认证详情
	  return request('api/user/auth/info', params, 'loading')
	},
	apiuploadcloudpiv: (params) => { // 图片上传云接口
	  return request('api/upload/cloudpiv', params, 'loading')
	},
	apidicttree: (params) => { // 字典
	  return request('api/dict/tree', params, 'loading')
	},
	apiuserauthlist: (params) => { // 认证列表
	  return request('api/user/auth/list', params, 'loading')
	},
	apiuserauthedit: (params) => { // 认证 审核 中介
	  return request('api/user/auth/edit', params, 'loading')
	},
	apideptauthedit: (params) => { // 认证 审核 渠道
	  return request('api/dept/auth/edit', params, 'loading')
	},
	apiuserreferreredit: (params) => { // 修改推荐人
	  return request('api/user/referrer/edit', params, 'loading')
	},
	apiusernoticeopen: (params) => { // 公众号 推送 打开
	  return request('api/user/notice/open', params, 'loading')
	},
	apiusernoticeclose: (params) => { // 公众号 推送 关闭
	  return request('api/user/notice/close', params, 'loading')
	},
}
